/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme-child/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 2.0.0
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/* Add your custom styles here */

body ::-webkit-scrollbar{display: none;}
body {-ms-overflow-style: none;}
html {scrollbar-width: none;} 

body.elementor-editor-active .site-header, body.elementor-editor-active .site-footer, .site-header, .site-footer {
	display: none;
}

@media (min-width: 1366px) {
  body.elementor-editor-active .elementor-hidden-laptop {
    display: none !important;
  }
}	
	
@media (min-width: 1025px) and (max-width: 1366px) {
  body.elementor-editor-active .elementor-hidden-desktop {
    display: none !important;
  }
}


@media (min-width: 768px) and (max-width: 1024px) {
  body.elementor-editor-active .elementor-hidden-tablet {
    display: none !important;
  }
}

@media (max-width: 767px) {
  body.elementor-editor-active .elementor-hidden-mobile {
    display: none !important;
  }
}

span.color-rose {
	color: #F25C5C;
}

span.color-black {
	color: #1A1A1A;
}

.relative {
	position: relative;
}

h1, h2, h3, p, span {
	text-box-trim: trim-both;
}

.cta-button .elementor-button {
	overflow: hidden;
}

.cta-button .elementor-button-content-wrapper {
	display: flex;
	align-items: center;
	position: relative;
	gap: 0.6em;
}

.cta-button .elementor-button-text {
	position: relative;
	transition: transform 0.45s cubic-bezier(0.76, 0, 0.24, 1);
}

.cta-button .elementor-button-text::before {
	content: "";
	position: absolute;
	top: 50%;
	left: -1.4em;
	width: 18px;
	height: 18px;
	background: currentColor;

	-webkit-mask: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 448 512'%3E%3Cpath fill='black' d='M190.5 66.9l22.2-22.2c9.4-9.4 24.6-9.4 33.9 0L441 239c9.4 9.4 9.4 24.6 0 33.9L246.6 467.3c-9.4 9.4-24.6 9.4-33.9 0l-22.2-22.2c-9.5-9.5-9.3-25 .4-34.3L311.4 296H24c-13.3 0-24-10.7-24-24v-32c0-13.3 10.7-24 24-24h287.4L190.9 101.2c-9.8-9.3-10-24.8-.4-34.3z'/%3E%3C/svg%3E")
		center / contain no-repeat;

	mask: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 448 512'%3E%3Cpath fill='black' d='M190.5 66.9l22.2-22.2c9.4-9.4 24.6-9.4 33.9 0L441 239c9.4 9.4 9.4 24.6 0 33.9L246.6 467.3c-9.4 9.4-24.6 9.4-33.9 0l-22.2-22.2c-9.5-9.5-9.3-25 .4-34.3L311.4 296H24c-13.3 0-24-10.7-24-24v-32c0-13.3 10.7-24 24-24h287.4L190.9 101.2c-9.8-9.3-10-24.8-.4-34.3z'/%3E%3C/svg%3E")
		center / contain no-repeat;
	transform: translate(-1em, -50%);
	opacity: 0;

	transition:
		transform 0.45s cubic-bezier(0.76, 0, 0.24, 1),
		opacity 0.3s ease;
}

.cta-button .elementor-button-icon {
	transition: transform 0.45s cubic-bezier(0.76, 0, 0.24, 1),
		opacity 0.3s ease;
}

.cta-button .elementor-button:hover .elementor-button-text {
	transform: translateX(1.2em);
}

.cta-button .elementor-button:hover .elementor-button-text::before {
	transform: translate(0, -50%);
	opacity: 1;
}

.cta-button .elementor-button:hover .elementor-button-icon {
	transform: translateX(1em);
	opacity: 0;
}

.process-item {
	transition: background .3s ease-in-out;
}

.process-item:hover {
	background: #fff !important;
}

.elementor-custom-embed-play svg {
	fill: #fff !important;
	transition: transform 0.45s cubic-bezier(0.76, 0, 0.24, 1),
}

.video-portfolio:hover .elementor-custom-embed-play svg {
	transform: scale(1.1);
}

#contact-form {
	font-family: "Wix Madefor Text", Sans-serif !important;
    font-weight: 400;
    line-height: 1.3 !important;
    color: #221817;
}

#contact-form .forminator-label {
	font-size: 15px !important;
	margin-bottom: 6px;
}

#contact-form .forminator-input, #contact-form .select2-selection, #contact-form .forminator-textarea {
	width: 100%;
    border: 1px solid #d5b696 !important;
    border-radius: 1rem;
    background: #fffaf2;
    padding: 1rem 1.1rem;
    font: inherit;
    color: #221817;
    outline: none !important;
    transition: border-color 0.25s ease, box-shadow 0.25s ease, background 0.25s ease;
}

#contact-form .forminator-input:focus, #contact-form .select2-selection:focus, #contact-form .forminator-textarea:focus {
	border-color: #F25C5C !important;
    background: #fff !important;
    box-shadow: 0 0 0 0.25rem rgba(242, 92, 92, 0.1) !important;
}

#contact-form .select2-selection .select2-selection__arrow {
	height: 20px;
}

#contact-form .select2-selection .select2-selection__rendered {
	padding: 0px;
}

#contact-form .select2-selection:hover {
	background: #fffaf2 !important;
}

.forminator-select-dropdown {
	padding:0px !important;
	margin: 0px !important;
}

.forminator-select-dropdown {
    border-radius: 1rem;
	border-color: #F25C5C !important;
    background: #fff !important;
    box-shadow: 0 0 0 0.25rem rgba(242, 92, 92, 0.1) !important;
	overflow: hidden;
}

.select2-results__option {
	font-family: "Wix Madefor Text", Sans-serif !important;
	padding: 0.375rem 1.1rem !important;
	color: #221817 !important;
}

.select2-results__option--highlighted {
	outline: none !important;
    outline-offset: 0px;
	background: #fffaf2 !important;
}

.select2-results__option--selected {
	background: #fffaf2 !important;
}

#contact-form .forminator-button-submit {
	background-color: #F25C5C;
    font-family: "Wix Madefor Text", Sans-serif;
    font-size: 18px !important;
    font-weight: 500 !important;
    color: #FFFFFF;
    border-radius: 32px;
    padding: 16px 44px 16px 24px;
	box-shadow: none !important;
	position: relative;
	overflow: hidden;
	transition: padding 0.3s cubic-bezier(0.76, 0, 0.24, 1);
}

#contact-form .forminator-button-submit::after {
	content: "";
	position: absolute;
	top: 50%;
	right: 16px;
	width: 16px;
	height: 16px;
	background: currentcolor;
	-webkit-mask: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 448 512'%3E%3Cpath fill='black' d='M190.5 66.9l22.2-22.2c9.4-9.4 24.6-9.4 33.9 0L441 239c9.4 9.4 9.4 24.6 0 33.9L246.6 467.3c-9.4 9.4-24.6 9.4-33.9 0l-22.2-22.2c-9.5-9.5-9.3-25 .4-34.3L311.4 296H24c-13.3 0-24-10.7-24-24v-32c0-13.3 10.7-24 24-24h287.4L190.9 101.2c-9.8-9.3-10-24.8-.4-34.3z'/%3E%3C/svg%3E")
		center / contain no-repeat;
	transform: translate(-2px, -50%);
	transition: all 0.3s cubic-bezier(0.76, 0, 0.24, 1);
	color: white;
}

#contact-form .forminator-button-submit::before {
	content: "";
	position: absolute;
	top: 50%;
	left: 16px;
	width: 16px;
	height: 16px;
	background: currentcolor;
	-webkit-mask: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 448 512'%3E%3Cpath fill='black' d='M190.5 66.9l22.2-22.2c9.4-9.4 24.6-9.4 33.9 0L441 239c9.4 9.4 9.4 24.6 0 33.9L246.6 467.3c-9.4 9.4-24.6 9.4-33.9 0l-22.2-22.2c-9.5-9.5-9.3-25 .4-34.3L311.4 296H24c-13.3 0-24-10.7-24-24v-32c0-13.3 10.7-24 24-24h287.4L190.9 101.2c-9.8-9.3-10-24.8-.4-34.3z'/%3E%3C/svg%3E")
		center / contain no-repeat;
	transform: translate(-10px, -50%);
	opacity: 0;
	transition: all 0.3s cubic-bezier(0.76, 0, 0.24, 1);
	color: white;
}

#contact-form .forminator-button-submit:hover {
	padding-left: 44px;
	padding-right: 24px;
	background-color: #F47C7C;
}

#contact-form .forminator-button-submit:hover::after {
	transform: translate(30px, -50%);
	opacity: 0;
}

#contact-form .forminator-button-submit:hover::before {
	transform: translate(0, -50%);
	opacity: 1;
}

#nav-sticky {
	position: sticky;
	top: 0;
	z-index: 991;
}